# svn_repos_notify_t Struct Reference

Structure used by svn_repos_notify_func_t. More...

`#include <svn_repos.h>`

## Data Fields
svn_repos_notify_action_t | action
| Action that describes what happened in the repository.
svn_revnum_t | revision
| For svn_repos_notify_dump_rev_end and svn_repos_notify_verify_rev_end, the revision which just completed.
const char * | warning_str
| For svn_repos_notify_warning, the warning object.
svn_repos_notify_warning_t | warning
apr_int64_t | shard
| For svn_repos_notify_pack_shard_start, svn_repos_notify_pack_shard_end, svn_repos_notify_pack_shard_start_revprop, and svn_repos_notify_pack_shard_end_revprop, the shard processed.
svn_revnum_t | new_revision
| For svn_repos_notify_load_committed_rev, the revision committed.
svn_revnum_t | old_revision
| For svn_repos_notify_load_committed_rev, the source revision, if different from new_revision, otherwise SVN_INVALID_REVNUM.
enum svn_node_action | node_action
| For svn_repos_notify_load_node_start, the action being taken on the node.
const char * | path
| For svn_repos_notify_load_node_start, the path of the node.

## Detailed Description

Structure used by svn_repos_notify_func_t.

The only field guaranteed to be populated is `action`. Other fields are dependent upon the `action`. (See individual fields for more information.)

Note:
  Callers of notification functions should use svn_repos_notify_create() to create structures of this type to allow for future extensibility.

Since:
  New in 1.7.

Definition at line 283 of file svn_repos.h.

## Field Documentation

svn_repos_notify_action_t svn_repos_notify_t::action

Action that describes what happened in the repository.

Definition at line 286 of file svn_repos.h.

svn_revnum_t svn_repos_notify_t::new_revision

For svn_repos_notify_load_committed_rev, the revision committed.

Definition at line 304 of file svn_repos.h.

enum svn_node_action svn_repos_notify_t::node_action

For svn_repos_notify_load_node_start, the action being taken on the node.

Definition at line 313 of file svn_repos.h.

svn_revnum_t svn_repos_notify_t::old_revision

For svn_repos_notify_load_committed_rev, the source revision, if different from new_revision, otherwise SVN_INVALID_REVNUM.

For svn_repos_notify_load_txn_start, the source revision.

Definition at line 309 of file svn_repos.h.

const char* svn_repos_notify_t::path

For svn_repos_notify_load_node_start, the path of the node.

Definition at line 316 of file svn_repos.h.

svn_revnum_t svn_repos_notify_t::revision

For svn_repos_notify_dump_rev_end and svn_repos_notify_verify_rev_end, the revision which just completed.

Definition at line 290 of file svn_repos.h.

apr_int64_t svn_repos_notify_t::shard

For svn_repos_notify_pack_shard_start, svn_repos_notify_pack_shard_end, svn_repos_notify_pack_shard_start_revprop, and svn_repos_notify_pack_shard_end_revprop, the shard processed.

Definition at line 301 of file svn_repos.h.

const char* svn_repos_notify_t::warning_str

For svn_repos_notify_warning, the warning object.

Must be cleared by the consumer of the notification.

Definition at line 294 of file svn_repos.h.

The documentation for this struct was generated from the following file:

- svn_repos.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines